import '@material/mwc-button';
import '@material/mwc-textfield';
import '@operato/lottie-player';
import '../components/profile-component';
import '@operato/i18n/ox-i18n.js';
import '@operato/i18n/ox-i18n-selector.js';
import '@operato/layout/ox-snack-bar.js';
import { AbstractAuthPage } from './abstract-auth-page';
export declare abstract class AbstractPasswordReset extends AbstractAuthPage {
    static styles: import("lit").CSSResult[];
    data: any;
    token?: string;
    confirmPass: HTMLElement;
    private passwordPattern;
    private passwordHelp;
    abstract get submitButtonLabel(): string;
    render(): import("lit-html").TemplateResult<1>;
    updated(changed: any): void;
    languageUpdated(): void;
    submit(): Promise<void>;
}
